Subject: Re: [PATCH v3 3/3] mm: use numa_mem_id() in alloc_pages_node()

From: Johannes Weiner <[email-masked]>
Date: Thu, 30 Jul 2015 13:41:12 -0400

On Thu, Jul 30, 2015 at 06:34:31PM +0200, Vlastimil Babka wrote:
> numa_mem_id() is able to handle allocation from CPUs on memory-less nodes,
> so it's a more robust fallback than the currently used numa_node_id().

Won't it fall through to the next closest memory node in the zonelist
anyway? Is this for callers doing NUMA_NO_NODE with __GFP_THISZONE?